/**
 *
 * @param {SignalHandler} first
 * @param {function} handle
 * @param {*} [thisArg]
 */
export function signal_handler_list_find(first, handle, thisArg) {
    let n = first;

    for (; ;) {

        if (n.handle === handle && n.context === thisArg) {
            return n;
        }

        n = n.next;

        if (n === null) {
            return null;
        }
    }
}

